Public Member Functions | Public Attributes | Friends | List of all members
BeagleWksStructManager::Frame Struct Reference

Internal: a structure use to store a frame in a BeagleWorks files. More...

`#include <BeagleWksStructManager.hxx>`

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
bool | m_charAnchor
| a flag to know if this is a char or a page frame More...
int | m_id
| frame id More...
int | m_pictId
| the picture id More...
MWAWVec2f | m_origin
| the origin ( for a page frame ) More...
MWAWVec2f | m_dim
| the dimension More...
int | m_page
| the page ( for a page frame ) More...
int | m_wrap
| the wrapping: 0=none, 1=rectangle, 2=irregular More...
MWAWBorder | m_border
| the border More...
int | m_bordersSet
| the list of border which are set in form libmwaw::LeftBit|... More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<< More...

## Detailed Description

Internal: a structure use to store a frame in a BeagleWorks files.

## Constructor & Destructor Documentation

## ◆ Frame()

BeagleWksStructManager::Frame::Frame | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | frm
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_border

MWAWBorder BeagleWksStructManager::Frame::m_border

the border

Referenced by BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_bordersSet

int BeagleWksStructManager::Frame::m_bordersSet

the list of border which are set in form libmwaw::LeftBit|...

Referenced by BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_charAnchor

bool BeagleWksStructManager::Frame::m_charAnchor

a flag to know if this is a char or a page frame

Referenced by BeagleWksParser::sendFrame(), and BeagleWksParser::sendPageFrames().

## ◆ m_dim

MWAWVec2f BeagleWksStructManager::Frame::m_dim

the dimension

Referenced by BeagleWksStructManager::readFrame(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_extra

std::string BeagleWksStructManager::Frame::m_extra

extra data

Referenced by BeagleWksStructManager::readFrame().

## ◆ m_id

int BeagleWksStructManager::Frame::m_id

frame id

Referenced by BeagleWksStructManager::readFrame().

## ◆ m_origin

MWAWVec2f BeagleWksStructManager::Frame::m_origin

the origin ( for a page frame )

Referenced by BeagleWksStructManager::readFrame(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_page

int BeagleWksStructManager::Frame::m_page

the page ( for a page frame )

Referenced by BeagleWksStructManager::readFrame(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_pictId

int BeagleWksStructManager::Frame::m_pictId

the picture id

Referenced by BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

## ◆ m_wrap

int BeagleWksStructManager::Frame::m_wrap

the wrapping: 0=none, 1=rectangle, 2=irregular

Referenced by BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksDRParser::sendFrame().

The documentation for this struct was generated from the following file:

- BeagleWksStructManager.hxx